Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77161 - Request to increase DK_MAX_MAJOR in include/linux/kernel_stat.h
Summary: Request to increase DK_MAX_MAJOR in include/linux/kernel_stat.h
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-01 22:56 UTC by Heather Conway
Modified: 2007-11-30 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 11:42:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Heather Conway 2002-11-01 22:56:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Request to increase DK_MAX_MAJOR in include/linux/kernel_stat.h 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Request to increase DK_MAX_MAJOR in include/linux/kernel_stat.h from 99 to 
255.  This would allow for tracking of iostat performance metrix for pseudo 
devices that have major numbers greater than 99.

Additional info:

Comment 1 Arjan van de Ven 2002-12-05 17:28:33 UTC
What devices is this? Are the device numbers assigned by lanana ?

Comment 2 Heather Conway 2002-12-17 14:25:51 UTC
Our PowerPath developers are using major numbers 232-239 for our PowerPath 
multi-pathing product.  
I'm not familiar with Ianana....what is it?

Comment 3 Larry Troan 2003-02-18 20:33:40 UTC
Arjan, Heather asks "I'm not familiar with Ianana....what is it?"

Comment 4 Matt Domsch 2003-04-28 15:48:54 UTC
lanana is the Linux Assigned Names and Numbers Authority, who assigns the
major/minor space for device nodes, as published on www.lanana.org and
linux/Documentation/devices.txt.  That's who you go to to offically request
major/minor numbers for your devices.

In kernel 2.4.9-e.18 DK_MAX_MAJOR is still 99, thus this won't be fixed in the
Q2 errata.


Comment 5 Matt Domsch 2004-11-22 23:25:57 UTC
Heather, is this bug still relevant?
RHEL2.1 Update 6 Public Beta kernel 2.4.9-e.51 still has DK_MAX_MAJOR
set to 99.  RHEL2.1 Update 7 is closed to all but Sev. 1 bugs, and
there aren't any little-fix Updates planned.

Can you close this as WONTFIX, given that it hasn't been, and won't be?
-Matt


Note You need to log in before you can comment on or make changes to this bug.